Package org.springframework.security.acls.domain

# Class ConsoleAuditLogger

java.lang.Object
org.springframework.security.acls.domain.ConsoleAuditLogger

All Implemented Interfaces:
  `AuditLogger`

public class ConsoleAuditLogger extends Object implements AuditLogger
A basic implementation of `AuditLogger`.

## Constructor Summary

Constructors
Constructor
Description
`ConsoleAuditLogger()`

## Method Summary

Modifier and Type
Method
Description
`void`
`logIfNeeded(boolean granted, AccessControlEntry ace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConsoleAuditLogger

public ConsoleAuditLogger()

## Method Details

### logIfNeeded

public void logIfNeeded(boolean granted, AccessControlEntry ace)

Specified by:
  `logIfNeeded` in interface `AuditLogger`